{% extends "dashboard/base.html" %}
{% load general_tags %}
{% load i18n %}
{% load bootstrap %}
{% load static %}

{% block stylesheet %}

<link href="{% static 'css/timeline.css' %}" rel="stylesheet">

{% endblock stylesheet  %}

{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Crear Abet" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Planificación" %}</a>
            </li>
            <li class="active">
                <strong>{% trans "Crear Abet" %}</strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}

<div class="row">
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-title blue-bg">
                <h5 style="font-size:20px;">Nuevo Abet</h5>
                <div class="ibox-tools">
                    <a class="collapse-link">
                        <i class="fa fa-chevron-up" style="color:white"></i>
                    </a>
                </div>
            </div>
            <div class="ibox-content">
                <div class="row">
                    <div class="col-md-4">{{form_abet.name|bootstrap}}</div>
                    <div class="col-md-4">{{form_abet.carreer|bootstrap}}</div>
                    <div class="col-md-4">
                        <button type="button" style="margin-top: 24px" id="accept_name" class="btn btn-block btn-primary">
                            Aplicar Nombre
                            <i class="fa fa-check" style="color:white"></i>
                        </button>
                    </div>
                </div>
                <hr>
                <div class="row outcomes animated fadeInRight" id="outcome_btn" style="display:none">
                    <div class="col-md-12">
                        <a type="button" id="add_outcome" class="btn btn-block btn-primary">Agregar Outcome</a>
                    </div>
                </div>
                <div class="row animated fadeInRight" id="outcome_form" style="display:none">
                    <div class="col-md-10">
                        <div class="form-group">
                            <label class="control-label" for="id_outcome_desc">Descripcion Outcome</label>
                            <div class=" ">
                                <textarea class=" form-control" cols="40" id="id_outcome_desc" name="outcome_desc" rows="10" required="" style="width: 877px; height: 73px;"></textarea>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2">
                        <a type="button" style="margin-top: 24px" id="accept_desc" class="btn btn-block btn-primary">
                            Aceptar
                            <i class="fa fa-check" style="color:white"></i>
                        </a>
                    </div>
                </div>
                <hr>
                <div class="row outcomes" style="display:none">
                    <div class="ibox">
                        <div class="ibox-title bg-info">
                            <h5 style="font-size:20px;">Outcomes</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up" style="color:white"></i>
                                </a>
                            </div>
                        </div>
                        <div class="ibox-content" id="outcome_content">

                        </div>
                    </div>
                </div>
                <div class="row outcomes" style="display:none">
                    <div class="col-md-4 pull-right">
                        <a href="{% url 'planning_abet_list' %}" type="button" style="margin-top: 24px" class="btn btn-block btn-primary">
                            Guardar
                            <i class="fa fa-check" style="color:white"></i>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- modal Editar criterio-->

<div class="modal fade" id="modal_criteria_edit" tabindex="-1" role="dialog" aria-labelledby="criteriaEditModal">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header bg-primary">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h6 class="text-center">Editar Criterio</h6>
            </div>
            <div class="modal-body">
                <span>
                    <div class="form-group">
                        <label class="control-label  " for="id_desc_criterio_edit">Descripcion de Criterio</label>
                    </div>
                    <div class=" ">
                        <textarea class="form-control" cols="40" id="id_desc_criterio_edit" name="name" required="" rows="10" style="width: 544px; height: 78px;"></textarea>
                    </div>
                </span>
                <hr>
                <h3>
                    <strong>
                        Descripciones Evaluativas
                    </strong>
                </h3>
                <div class="row">
                    <span class="col-lg-4">
                    <div class="form-group">
                        <label class="control-label" for="id_sufficient_edit">Suficiente</label>
                        <div class=" ">
                            <textarea class=" form-control" cols="40" id="id_sufficient_edit" name="sufficient" rows="10" required="" style="width: 167px; height: 226px;"></textarea>
                        </div>
                    </div>
                    </span>
                    <span class="col-lg-4">
                    <div class="form-group">
                        <label class="control-label  " for="id_inProcess_edit">En Proceso</label>
                        <div class=" ">
                            <textarea class=" form-control" cols="40" id="id_inProcess_edit" name="inProcess" rows="10" required="" style="width: 167px; height: 226px;"></textarea>
                        </div>
                    </div>
                    </span>
                    <span class="col-lg-4">
                    <div class="form-group">
                        <label class="control-label" for="id_inscipient_edit">Incipiente</label>
                        <div class=" ">
                            <textarea class=" form-control" cols="40" id="id_inscipient_edit" name="inscipient" rows="10" required="" style="width: 167px; height: 226px;"></textarea>
                        </div>
                    </div>
                    </span>
                </div>
            </div>
            <div class="modal-footer bg-primary">
                <button type="button" class="btn btn-primary" data-dismiss="modal" id="edit_criteria">Editar</button>
            </div>
        </div>
    </div>
</div>

<!-- end modal block -->

<!-- modal crear Criterio -->

<div class="modal fade" id="modal_criteria" tabindex="-1" role="dialog" aria-labelledby="criteriaModal">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header bg-primary">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h6 class="text-center">Creación de Criterio</h6>
            </div>
            <div class="modal-body">
                <span>
                    <div class="form-group">
                        <label class="control-label" for="id_desc_criterio">Descripcion de Criterio</label>
                    </div>
                    <div class=" ">
                        <textarea class="form-control" cols="40" id="id_desc_criterio" name="name" required="" rows="10" style="width: 544px; height: 78px;"></textarea>
                    </div>
                </span>
                <hr>
                <h3>
                    <strong>
                        Descripciones Evaluativas
                    </strong>
                </h3>
                <div class="row">
                    <span class="col-lg-4">
                    <div class="form-group">
                        <label class="control-label" for="id_sufficient">Suficiente</label>
                        <div class=" ">
                            <textarea class=" form-control" cols="40" id="id_sufficient" name="sufficient" rows="10" required="" style="width: 167px; height: 226px;"></textarea>
                        </div>
                    </div>
                    </span>
                    <span class="col-lg-4">
                    <div class="form-group">
                        <label class="control-label  " for="id_inProcess">En Proceso</label>
                        <div class=" ">
                            <textarea class=" form-control" cols="40" id="id_inProcess" name="inProcess" rows="10" required="" style="width: 167px; height: 226px;"></textarea>
                        </div>
                    </div>
                    </span>
                    <span class="col-lg-4">
                    <div class="form-group">
                        <label class="control-label" for="id_inscipient">Insipiente</label>
                        <div class=" ">
                            <textarea class=" form-control" cols="40" id="id_inscipient" name="inscipient" rows="10" required="" style="width: 167px; height: 226px;"></textarea>
                        </div>
                    </div>
                    </span>
                </div>
            </div>
            <hr>
            <div class="modal-footer bg-primary">
                <button type="button" class="btn btn-primary" data-dismiss="modal" id="accept_criteria">Aceptar</button>
            </div>
        </div>
    </div>
</div>

<!-- end modal block -->

{% endblock content %}


{% block javascript %}


<script>

$(document).on("click",".outcome_del",function(e){
    var outcome_pk = $(this).data('outcomepk');
    var button = $(this);
    data = {
        outcome_pk: outcome_pk,
        csrfmiddlewaretoken: '{{ csrf_token }}'
    };

    $.post("{% url 'planning_outcome_del' %}", data,function(response){
        button.parent().parent().parent().remove();
    });

});

$(document).on("click",".crit_del",function(e){
    var criteria_pk = $(this).data('criteriapk');
    var button = $(this);
    data = {
        criteria_pk: criteria_pk,
        csrfmiddlewaretoken: '{{ csrf_token }}'
    };

    $.post("{% url 'planning_criteria_del' %}", data,function(response){
        button.parent().parent().remove();
    });

});


$(document).ready(function(){

    $("#accept_name").click(function(){
        $("#id_name").prop('disabled', true);
        $("#id_carreer").prop('disabled', true);
        $(".outcomes").addClass("animated fadeInRight");
        $(".outcomes").show();

        var abet_name = $("#id_name").val();
        var abet_carreer = $("#id_carreer").val();
        data = {
                abet_name: abet_name,
                abet_carreer: abet_carreer,
                csrfmiddlewaretoken: '{{ csrf_token }}'
               };

        $.post("{% url 'planning_abet_create' %}",data, function(response){
            abet_pk = response.pk;
        });
    });

    $("#add_outcome").click(function(){
        $("#outcome_btn").removeClass("fadeInRight");
        $("#outcome_btn").addClass("fadeOutRight");
        $("#outcome_btn").hide();
        $("#outcome_form").removeClass("fadeOutRight");
        $("#outcome_form").addClass("fadeInRight");
        $("#outcome_form").show();
    });

    $("#accept_desc").click(function(){

        $("#outcome_form").removeClass("fadeInRight");
        $("#outcome_form").addClass("fadeOutRight");
        $("#outcome_form").hide();
        $("#outcome_btn").removeClass("fadeOutRight");
        $("#outcome_btn").addClass("fadeInRight");
        $("#outcome_btn").show();
        var outcome_desc = $("#id_outcome_desc").val();
        data = {
            abet_pk: abet_pk,
            outcome_desc: outcome_desc,
            csrfmiddlewaretoken: '{{ csrf_token }}'
        };

        $.post("{% url 'planning_outcome_create' %}", data, function(response){
            $("#outcome_content").append("<div class='ibox animated fadeInRight'>\
                                            <div class='ibox-title bg-warning'>\
                                                <h5 style='font-size:20px;'>"+ response.outcome_letter + ". " + response.outcome_desc_response + "</h5>\
                                                <div class='ibox-tools'>\
                                                    <a type='button' class='btn btn-sm btn-primary add_criteria' data-toggle='modal' data-target='#modal_criteria' style='margin-bottom: 10px;' data-outcomepk='"+ response.outcome_pk +"'>\
                                                        Agregar Criterio\
                                                        <i class='fa fa-plus' style='color:white'></i>\
                                                    </a>\
                                                    <button class='btn btn-sm btn-danger outcome_del' style='margin-bottom: 10px;' data-outcomepk='"+ response.outcome_pk +"'><i class='fa fa-close'></i></button>\
                                                </div>\
                                            </div>\
                                            <div class='ibox-content'>\
                                                <table class='table'>\
                                                    <thead>\
                                                    <tr>\
                                                        <th>Descripcion Criterio</th>\
                                                        <th>Suficiente</th>\
                                                        <th>En Proceso</th>\
                                                        <th>Inscipiente</th>\
                                                        <th>Acciones</th>\
                                                    </tr>\
                                                    </thead>\
                                                    <tbody id='content_table_criteria_"+ response.outcome_pk +"'>\
                                                    </tbody>\
                                                </table>\
                                            </div>\
                                        </div>");

            $("#id_outcome_desc").val("");
        });
    });

    $('#modal_criteria_edit').on('show.bs.modal', function (event) {

        var button = $(event.relatedTarget) // Button that triggered the modal

        pk_criteria = button.data('criteriapk'); // Extract info from data-* attributes
        var modal = $(this);
        // moredata: 'moredata',
        data = {
            criteria_pk : pk_criteria,
            csrfmiddlewaretoken: '{{ csrf_token }}'
        }
        $.post("{% url 'planning_get_criteria_detail' %}",data,function(response){
            $("#id_desc_criterio_edit").val(response.criteria_desc);
            $("#id_inscipient_edit").val(response.criteria_ins);
            $("#id_inProcess_edit").val(response.criteria_inpr);
            $("#id_sufficient_edit").val(response.criteria_suf);
        });
    });

    $('#modal_criteria').on('show.bs.modal', function (event) {

        var button = $(event.relatedTarget); // Button that triggered the modal
        var modal = $(this);
        pk_outcome = button.data('outcomepk');
    });

    $("#accept_criteria").click(function(){
        var outcome_pk = pk_outcome; // Extract info from data-* attributes
        var criteria_desc = $("#id_desc_criterio").val();
        var criteria_inscipient = $("#id_inscipient").val();
        var criteria_inProcess = $("#id_inProcess").val();
        var criteria_sufficient = $("#id_sufficient").val();
        // moredata: 'moredata',
        data = {
            criteria_sufficient: criteria_sufficient,
            criteria_inProcess: criteria_inProcess,
            criteria_inscipient: criteria_inscipient,
            criteria_desc: criteria_desc,
            outcome_pk: outcome_pk,
            csrfmiddlewaretoken: '{{ csrf_token }}'
        };

        $.post("{% url 'planning_criteria_create' %}", data,function(response){
            $("#content_table_criteria_"+outcome_pk).append("<tr id='row_criteria_"+ response.criteria_pk +"'>\
                                                                 <td>"+response.criteria_desc+"</td>\
                                                                 <td>"+response.criteria_suf+"</td>\
                                                                 <td>"+response.criteria_inpr+"</td>\
                                                                 <td>"+response.criteria_ins+"</td>\
                                                                 <td>\
                                                                    <a type='button' class='btn btn-sm btn-warning' data-toggle='modal' data-target='#modal_criteria_edit' style='margin-bottom: 10px;' data-criteriapk='"+ response.criteria_pk +"'>\
                                                                        Editar\
                                                                        <i class='fa fa-pencil' style='color:white'></i>\
                                                                    </a>\
                                                                    <button class='btn btn-danger btn-sm crit_del' data-criteriapk='"+ response.criteria_pk +"' ><i class='fa fa-times'></i> Eliminar </button>\
                                                                 </td>\
                                                             </tr>");
            $("#id_desc_criterio").val("");
            $("#id_inscipient").val("");
            $("#id_inProcess").val("");
            $("#id_sufficient").val("");

        });
    });

    $("#edit_criteria").click(function(){
        var criteria_pk = pk_criteria;
        var criteria_desc = $("#id_desc_criterio_edit").val();
        var criteria_inscipient = $("#id_inscipient_edit").val();
        var criteria_inProcess = $("#id_inProcess_edit").val();
        var criteria_sufficient = $("#id_sufficient_edit").val();
        // moredata: 'moredata',
        data = {
            criteria_sufficient: criteria_sufficient,
            criteria_inProcess: criteria_inProcess,
            criteria_inscipient: criteria_inscipient,
            criteria_desc: criteria_desc,
            criteria_pk: criteria_pk,
            csrfmiddlewaretoken: '{{ csrf_token }}'
        };

        $.post("{% url 'planning_criteria_edit' %}", data,function(response){
            $("#row_criteria_"+ response.criteria_pk).html("<td>"+response.criteria_desc+"</td>\
                                                            <td>"+response.criteria_suf+"</td>\
                                                            <td>"+response.criteria_inpr+"</td>\
                                                            <td>"+response.criteria_ins+"</td>\
                                                            <td>\
                                                               <a type='button' class='btn btn-sm btn-warning' data-toggle='modal' data-target='#modal_criteria_edit' style='margin-bottom: 10px;' data-criteriapk='"+ response.criteria_pk +"'>\
                                                                   Editar\
                                                                   <i class='fa fa-pencil' style='color:white'></i>\
                                                               </a>\
                                                               <button class='btn btn-danger btn-sm crit_del' data-criteriapk='"+ response.criteria_pk +"' ><i class='fa fa-times'></i> Eliminar </button>\
                                                            </td>");

        });
    });
});


</script>
{% endblock javascript %}
